#
# spec file for package python-duet
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-duet
Version:        0.2.9
Release:        2.1
Summary:        A simple future-based async library for python
License:        Apache-2.0
URL:            https://github.com/google/duet
Source:         https://files.pythonhosted.org/packages/source/d/duet/duet-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.9}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module typing_extensions}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-typing_extensions
BuildArch:      noarch
%python_subpackages

%description
A simple future-based async library for python.

%prep
%setup -q -n duet-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/duet
%{python_sitelib}/duet-%{version}*-info

%changelog
* Mon May 26 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Fri Jul 28 2023 Dirk Müller <dmueller@suse.com>
- update to 0.2.9:
  * AwaitableFuture: propagate cancellation to wrapped future
  * AwaitableFuture: check cancelled future in callback
  * Drop support for python < 3.9
* Sun Apr 23 2023 Dirk Müller <dmueller@suse.com>
- update to 0.2.8:
  * Test duet against python 3.11
  * Loosen version requirement on typing_extensions
  * Make Limiter work with cancellation
  * Add support for overloaded sync callbacks
  * Fix timeout clipping in Scheduler.tick
* Thu Oct 13 2022 Dirk Müller <dmueller@suse.com>
- use https for urls
* Tue Sep 27 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 0.2.7
  * Fix timeout clipping in Scheduler.tick (#67)
  * Add support for overloaded sync callbacks (#66)
  * Add support for wrapping abstract methods with duet.sync (#63)
  * Drop support for python 3.6 (#62)
  * Update ci.yml (#61)
  * Ensure that duet.sleep raises an exception if outer timeout elapses first (#58)
  * Update to latest version of black (#57)
* Sun Feb 20 2022 Ben Greiner <code@bnavigator.de>
- Initial specfile for v0.2.3
- Required by cirq-core
